From 394c835e1dae5220c73afaa1d1be09e0af40cec4 Mon Sep 17 00:00:00 2001
From: Tom Pollard <tom.pollard@codethink.co.uk>
Date: Thu, 6 Feb 2020 12:48:43 +0000
Subject: [PATCH 1/1] ostree.bst: Remove avahi

avahi was seemingly added for eos-updater support in fdsdk. The
resulting avahi-daemon service segfaults, if we're not using it
we should remove it.
---
 elements/components/ostree.bst | 2 --
 1 file changed, 2 deletions(-)

diff --git a/elements/components/ostree.bst b/elements/components/ostree.bst
index c18bae44..948e5629 100644
--- a/elements/components/ostree.bst
+++ b/elements/components/ostree.bst
@@ -16,7 +16,6 @@ depends:
 - filename: components/fuse.bst
 - filename: components/systemd.bst
 - filename: components/libarchive.bst
-- filename: components/avahi.bst
 - filename: components/systemd-libs.bst

 variables:
@@ -25,7 +24,6 @@ variables:
     --with-libsystemd
     --with-systemd
     --with-libarchive
-    --with-avahi
   configure: |
     %{conf-cmd} %{conf-args} --with-static-compiler=gcc

--
2.20.1

